> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fortepayments.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscriptions

> Get webhook subscription(s) belonging to the merchant.



## OpenAPI

````yaml api-reference/openapi-notifications.json GET /notifications/v1/subscriptions
openapi: 3.0.0
info:
  title: Forte Notifications API
  version: v1.0.0
servers:
  - url: https://sandbox-api.sandbox.lemmax.com
security:
  - authorization: []
tags:
  - name: Subscriptions
    description: Manage webhook subscriptions
  - name: Webhooks
    description: Replay webhook deliveries
paths:
  /notifications/v1/subscriptions:
    get:
      tags:
        - Subscriptions
      summary: Get webhook subscription(s).
      description: Get webhook subscription(s) belonging to the merchant.
      operationId: getSubscriptions
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_subscriptions_response'
          description: Get subscriptions response.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorized'
          description: Unauthorized
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request'
          description: Bad Request
      callbacks: {}
components:
  schemas:
    get_subscriptions_response:
      description: Get non-deleted webhook subscription(s) response.
      example:
        data:
          - description: My webhooks
            endpoint: https://example.org/webhooks
            id: f89eccda-f284-4e30-984f-2f6620238cd2
            signing_key: f89eccda-f284-4e30-984f-2f662023abc3
            status: enabled
            version: '1'
          - description: NL webhooks
            endpoint: https://northernlabs.ca/webhooks
            id: 0835688c-90cb-4979-b598-2764812ba9ae
            signing_key: f89eccda-f284-4e30-984f-2f662023abc4
            status: disabled
            version: '1'
      properties:
        data:
          items:
            properties:
              description:
                description: The description for the webhook subscription.
                example: My webhooks
                maxLength: 200
                type: string
                x-struct: null
                x-validate: null
              endpoint:
                description: The endpoint of the webhook subscription.
                example: https://example.org/webhooks
                maxLength: 2500
                type: string
                x-struct: null
                x-validate: null
              id:
                description: ID of the webhook subscription.
                example: f66c8b15-a98c-4fd5-8bab-b14eeb7b47ed
                format: uuid
                maxLength: 36
                minLength: 36
                pattern: >-
                  ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
                type: string
                x-struct: null
                x-validate: null
              signing_key:
                description: The signing_key of the webhook subscription.
                example: f89eccda-f284-4e30-984f-2f662023abc3
                format: uuid
                type: string
                x-struct: null
                x-validate: null
              status:
                description: Value to determine if subscription is enabled.
                enum:
                  - enabled
                  - disabled
                example: enabled
                type: string
                x-struct: null
                x-validate: null
              version:
                description: The version of the webhook subscription.
                example: '1'
                maxLength: 10
                type: string
                x-struct: null
                x-validate: null
            required:
              - id
              - endpoint
              - description
              - version
              - status
              - signing_key
            type: object
            x-struct: null
            x-validate: null
          maxItems: 1000
          type: array
          x-struct: null
          x-validate: null
      title: get_subscriptions_response
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.Subscriptions.GetSubscriptionsResponse
      x-validate: null
    unauthorized:
      properties:
        error:
          properties:
            message:
              description: Extra information about the error
              example: invalid params
              maxLength: 500
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: Status description
              example: Unauthorized
              maxLength: 100
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 401
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: unauthorized
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.JsonErrorResponse.unauthorized
      x-validate: null
    bad_request:
      properties:
        error:
          properties:
            message:
              description: Extra information about the error
              example: invalid params
              maxLength: 500
              type: string
              x-struct: null
              x-validate: null
            reason:
              description: Status description
              example: Bad Request
              maxLength: 100
              type: string
              x-struct: null
              x-validate: null
            status:
              description: HTTP status code
              example: 400
              format: int32
              type: integer
              x-struct: null
              x-validate: null
          required:
            - status
            - reason
          type: object
          x-struct: null
          x-validate: null
      required:
        - error
      title: bad_request
      type: object
      x-struct: >-
        Elixir.ForteNotificationsSvcWeb.OpenApi.Schemas.JsonErrorResponse.bad_request
      x-validate: null
  securitySchemes:
    authorization:
      description: '`access_token` returned by the `/auth/v1/oauth2/tokens` API call.'
      scheme: bearer
      type: http

````